import { EventEmitter } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { ModalBuilder } from './modal-builder.helper';
export declare class NgbTypedModal<DataInput, DataOutput> {
    data: DataInput;
    submitData: EventEmitter<DataOutput>;
    submitClose: EventEmitter<never>;
    make(ngModal: NgbModal): ModalBuilder<NgbTypedModal<DataInput, DataOutput>, DataInput, DataOutput>;
}
